aboutsummaryrefslogtreecommitdiffstats
path: root/testing/vino/vino.initd
diff options
context:
space:
mode:
authorAlan Lacerda <alancordeiro@gmail.com>2015-01-16 18:32:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-01-20 15:57:39 +0000
commit87786e99476d0350ff453e685d9ebce4fa3e71c2 (patch)
treed446500c43a0b55ccb8cd41c718a2a6fcc696436 /testing/vino/vino.initd
parent1d425c28fe2f989f299f21f0028049363c657a02 (diff)
testing/vino: new aport
Diffstat (limited to 'testing/vino/vino.initd')
-rw-r--r--testing/vino/vino.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/vino/vino.initd b/testing/vino/vino.initd
new file mode 100644
index 00000000000..46819d41641
--- /dev/null
+++ b/testing/vino/vino.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+
+command=/usr/libexec/vino-server
+
+depend() {
+ need net
+ after firewall
+}
+
+start () {
+ ebegin "Starting vino-server"
+ export DISPLAY=:0.0
+ start-stop-daemon \
+ --background \
+ --start \
+ --exec $command
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping vino-server"
+ start-stop-daemon \
+ --stop \
+ --exec $command
+ eend $?
+}